PC SOFT

AYUDA EN LÍNEA
DE WINDEV, WEBDEV Y WINDEV MOBILE

Este contenido proviene de una traducción automática.. Haga clic aquí para ver la versión original en inglés.
  • Presentación
  • Condiciones de uso
  • Asistente para la generación de Android
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaReportes y ConsultasCódigo de Usuario (UMC)
WEBDEV
WindowsLinuxPHPWEBDEV - Código Navegador
WINDEV Mobile
AndroidWidget Android iPhone/iPadApple WatchUniversal Windows 10 AppWindows Mobile
Otros
Procedimientos almacenados
Advertencia
A partir de la versión 18 (56), las condiciones de utilización del control de mapas han evolucionado. Para obtener más información, consulte Condiciones para utilizar un control de mapa a partir de la versión 180056.
Presentación
Hasta la versión 180046 de WINDEV MobileEl uso de un control de mapas en una aplicación Android requería el uso de la biblioteca API v1 de Google Maps..
Esta biblioteca está preinstalada en la mayoría de los teléfonos y tabletas. Todo lo que tiene que hacer es obtener una clave generada a partir del certificado utilizado para firmar la aplicación para poder utilizarla en la aplicación.. Esta página de ayuda presenta los diferentes pasos que se deben realizar para generar la clave.
La versión 1 de esta librería fue amortizada por Google el 3 de diciembre de 2012.. A partir del 3 de marzo de 2013, ya no será posible generar nuevas claves para utilizar la biblioteca de la versión 1.. Sin embargo, las aplicaciones existentes seguirán funcionando ; tendrá la posibilidad de reutilizar las claves generadas previamente en otras aplicaciones siempre que estén firmadas con el mismo certificado que el utilizado para generar la clave.
A partir de la versión 180056 de WINDEV Mobile: A partir del 3 de marzo de 2013, la versión 2 de la biblioteca deberá utilizarse para las aplicaciones que no incluyan una clave API v1 de Google Maps..
Los pasos para usar esta nueva librería en una aplicación Android son diferentes y más complicados. Para obtener más información, consulte Condiciones para utilizar un control de mapa a partir de la versión 180056.
Condiciones de uso
En Android, el control Mapa utiliza la librería Google Maps API.
Para utilizar un control de Mapa, esta librería debe encontrarse en el dispositivo y/o en el emulador donde está instalada la aplicación.. De lo contrario, se producirá un error fatal de WLanguage al abrir las ventanas que contienen un control de mapa.
El control Mapa muestra los datos que provienen del servicio Google Maps.
Para visualizar los datos procedentes del servicio Google Maps, debe registrarse en este servicio y aceptar las condiciones de uso para obtener una clave que le permita acceder a los datos cartográficos..
Este registro es gratuito.
Se requiere una cuenta de Google para obtener una clave.
Los pasos para obtener una clave se presentan a continuación : http://code.google.com/android/add-ons/google-apis/mapkey.html
Sin embargo, en el asistente para la generación de Android se muestra un plano de registro para simplificar este procedimiento.
Asistente para la generación de Android
Si su aplicación contiene uno o varios controles de mapa, el asistente para generar la aplicación Android propone simplificar las operaciones necesarias para cumplir las condiciones de uso..
  1. Si tienes una clave de API de Google Maps, escríbela. En caso contrario, haga clic en "Obtener una clave".

  2. Se requieren tres pasos para obtener la llave:

  3. Introduzca la clave generada y valide la ventana.
  4. La clave de la API de Google Maps se transfiere automáticamente en el asistente.. Si utiliza un SDK versión 2.1 o posterior, el asistente le propone el comportamiento que debe adoptar si la biblioteca de Google Maps no se encuentra en el dispositivo de instalación.. Es posible:
    • Permitir la configuración de la aplicación. En este caso, si se abre la ventana que contiene el control Mapa, la aplicación mostrará un error fatal.
    • Bloquear la configuración de la aplicación.
  5. Ir al siguiente avión. Se genera el archivo.
    Atención: Se muestra un error si la biblioteca de la API de Google Maps no está instalada en el equipo.. Esta biblioteca se puede instalar a través del gestor de SDK de Android.
Versión mínima requerida
  • Versión 17
Comentarios
Haga clic en [Agregar] para publicar un comentario